package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.InspectTask;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yuanpan on 2017/11/20.
 */
@Repository
public interface InspectTaskRepo extends CrudRepository<InspectTask, Long>, JpaSpecificationExecutor<InspectTask> {

    int countByWorkIdAndInspectRangeId(Long workId, Long inspectRangeId);

    int countByMarkerId(Long markerId);

    List<InspectTask> findByMarkerIdAndInspectRangeId(Long markerId, Long inspectRangeId);

    List<InspectTask> findByInspectRangeId(Long inspectRangeId);

    List<InspectTask> findByPaperId(Long paperId);
}
